# bukyko_m1.R
# Fu's version of the Budyko curve to fit the data
# Reference: Fu [1981]
# inputs: aridity index (PE/P), omega parameter (w)
# output: evaporation ration (ET/P)

budyko_m1 <- function(aridity, omega)
{
  # calculating evaporation ratio using Fu's equation
  evapratio    <- 1 + aridity - (1  + aridity^omega)^(1/omega)

  return(evapratio) 
  rm(evapratio, aridity, omega)
}